package com.ydl.confide.api

import android.app.Activity
import android.app.Application
import android.content.Context
import android.content.Intent
import androidx.fragment.app.DialogFragment
import com.alibaba.android.arouter.facade.template.IProvider

interface IConfideService : IProvider {
    fun phoneCallIntent(activity: Activity): Intent

    fun phoneCallFragment(head: String, callId: String): DialogFragment

    fun closePlayer()

    //倾诉首页
    fun openConfideHome(context: Context)

    fun connectionJava(id: Int, type: Int, activity: Activity, tellData: String?, callType:String?)

    fun ydlAvManagerLogin(uid: String?)

    fun startCondifeHomePage(context: Context, isSplash: Boolean)

    fun initYdlavManager(app: Application)

    fun showAxbConfirmDialog(activity: Activity?, type: Int, phoneNumber: String?)
}